Debian Bug report logs - #353134
RM: libtest-builder-tester-perl -- RoM; module included in libtest-simple-perl

Packages: ftp.debian.org, libtest-builder-tester-perl; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>; Maintainer for libtest-builder-tester-perl is (unknown);

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Thu, 16 Feb 2006 12:18:11 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: libtest-builder-tester-perl: FTBFS with perl 5.8.8
Date: Thu, 16 Feb 2006 13:15:13 +0100
Package: libtest-builder-tester-perl
Version: 1.01-1
Severity: serious

From my pbuilder build log:

...
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01basic........
#   Failed test 'testing failing'
#   in t/01basic.t at line 29.
# STDERR is:
# #   Failed test 'should fail'
# #   in t/01basic.t at line 28.
# #          got: 'foo'
# #     expected: 'bar'
#
# not:
# #     Failed test (t/01basic.t at line 28)
# #          got: 'foo'
# #     expected: 'bar'
#
# as expected
t/01basic........FAILED test 6
        Failed 1/6 tests, 83.33% okay
...
        Failed 5/18 tests, 72.22% okay
Failed Test     Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01basic.t                    6    1  16.67%  6
t/05faildiag.t                 5    2  40.00%  1-2
t/06errormess.t               12    5  41.67%  4 7-8 10 12
t/07args.t                    18    5  27.78%  4 7-8 15-16
Failed 4/7 test scripts, 42.86% okay. 13/49 subtests failed, 73.47% okay.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory `/tmp/buildd/libtest-builder-tester-perl-1.01'
make: *** [install] Error 2

It looks to me as if it's choking on cosmetic differences in test failure
messages.
-- 
Daniel Schepler



Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #10 received at 353134@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: markf@twoshortplanks.com
Cc: 353134@bugs.debian.org
Subject: Test failure in Test::Builder::Tester in perl 5.8 (Debian build)
Date: Fri, 24 Feb 2006 14:34:07 -0500
[Message part 1 (text/plain, inline)]
Hey Mark,
	I maintain Test::Builder::Tester under Debian, and it appears that it
is broken under perl 5.8.8. It's being tracked as bug debian bug 353134
(bugs.debian.org/353134).  If you wouldn't mind taking some time to take
a look at it, that'd be great. I'm willing to help with whatever you
need to try and reproduce the bug if possible.

	Take care,

	-jay
	jaybonci@debian.org

jaybonci@deepcycle:~/deb/libtest-builder-tester-perl/libtest-builder-tester-perl -1.01$ debuild
dpkg-buildpackage: source package is libtest-builder-tester-perl
dpkg-buildpackage: source version is 1.01-1
dpkg-buildpackage: source changed by Jay Bonci <jaybonci@debian.org>
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
dh_testdir
dh_testroot
/usr/bin/make clean
make[1]: Entering directory
`/home/jaybonci/deb/libtest-builder-tester-perl/libt
est-builder-tester-perl-1.01'
make[1]: *** No rule to make target `clean'.  Stop.
make[1]: Leaving directory
`/home/jaybonci/deb/libtest-builder-tester-perl/libte
st-builder-tester-perl-1.01'
make: [clean] Error 2 (ignored)
rm -f Makefile.old
dh_clean
 dpkg-source -b libtest-builder-tester-perl-1.01
dpkg-source: building libtest-builder-tester-perl using existing
libtest-builder -tester-perl_1.01.orig.tar.gz
dpkg-source: building libtest-builder-tester-perl in
libtest-builder-tester-perl _1.01-1.diff.gz
dpkg-source: building libtest-builder-tester-perl in
libtest-builder-tester-perl _1.01-1.dsc
 debian/rules build
dh_testdir
# Add here commands to compile the package.
perl Makefile.PL verbose INSTALLDIRS=vendor
Checking if your kit is complete...
Looks good
  INSTALLDIRS => q[vendor]
  NAME => q[Test::Builder::Tester]
  PL_FILES => {  }
  PREREQ_PM => { Test::Builder=>q[0.12] }
  VERSION_FROM => q[lib/Test/Builder/Tester.pm]
Using PERL=/usr/bin/perl
Writing Makefile for Test::Builder::Tester
 fakeroot debian/rules binary
dh_testdir
# Add here commands to compile the package.
perl Makefile.PL verbose INSTALLDIRS=vendor
  INSTALLDIRS => q[vendor]
  NAME => q[Test::Builder::Tester]
  PL_FILES => {  }
  PREREQ_PM => { Test::Builder=>q[0.12] }
  VERSION_FROM => q[lib/Test/Builder/Tester.pm]
Using PERL=/usr/bin/perl
Writing Makefile for Test::Builder::Tester
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
/usr/bin/make
PREFIX=/home/jaybonci/deb/libtest-builder-tester-perl/libtest-buil
der-tester-perl-1.01/debian/`pwd | sed -e "s/.*\/\\(.*\\)-.*/\\1/"`/usr
OPTIMIZE ="-O2 -g -Wall" test install
make[1]: Entering directory
`/home/jaybonci/deb/libtest-builder-tester-perl/libt
est-builder-tester-perl-1.01'
cp lib/Test/Builder/Tester/Color.pm
blib/lib/Test/Builder/Tester/Color.pm
cp lib/Test/Builder/Tester.pm blib/lib/Test/Builder/Tester.pm
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e"
"test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01basic........
#   Failed test 'testing failing'
#   in t/01basic.t at line 29.
# STDERR is:
# #   Failed test 'should fail'
# #   in t/01basic.t at line 28.
# #          got: 'foo'
# #     expected: 'bar'
#
# not:
# #     Failed test (t/01basic.t at line 28)
# #          got: 'foo'
# #     expected: 'bar'
#
# as expected
FAILED test 6
        Failed 1/6 tests, 83.33% okay
t/02fhrestore....ok
t/03die..........ok
t/04line_num.....ok
t/05faildiag.....
#   Failed test 'test fail'
#   in t/05faildiag.t at line 17.
# STDERR is:
# #   Failed test 'one'
# #   in t/05faildiag.t at line 10.
# #   Failed test 'two'
# #   in t/05faildiag.t at line 15.
#
# not:
# #     Failed test (t/05faildiag.t at line 10)
# #     Failed test (t/05faildiag.t at line 15)
#
# as expected

#   Failed test 'test_fail first'
#   in t/05faildiag.t at line 22.
# STDERR is:
# #   Failed test 'one'
# #   in t/05faildiag.t at line 21.
#
# not:
# #     Failed test (t/05faildiag.t at line 21)
#
# as expected
FAILED tests 1-2
        Failed 2/5 tests, 60.00% okay
t/06errormess....
#   Failed test 'STDERR basic meta meta test 2'
#   in t/06errormess.t at line 108.
# HEY THERE, I GOT '#+++Failed+test+'foo'
# #+++in+t/06errormess.t+at+line+107.
# ' not '#+++++Failed+test+(t/06errormess.t+at+line+107)
# '

#   Failed test 'STDOUT meta meta test with tbt2 '
#   in t/06errormess.t at line 123.
#          got: 'ok 1 - bar
# '
#     expected: 'not ok 1 - bar
# '

#   Failed test 'STDERR meta meta test with tbt2 '
#   in t/06errormess.t at line 123.
# HEY THERE, I GOT '#+++Failed+test+'bar'
# #+++in+t/06errormess.t+at+line+122.
# #+STDERR+is:
# #+#+++Failed+test+'foo'
# #+#+++in+t/06errormess.t+at+line+121.
# #+
# #+not:
# #+#+++++Failed+test+(t/06errormess.t+at+line+121)
# #+
# #+as+expected
# ' not ''

#   Failed test 'STDERR meta test b&w'
#   in t/06errormess.t at line 169.
# HEY THERE, I GOT '#+++Failed+test+'bar'
# #+++in+t/06errormess.t+at+line+165.
# #+STDERR+is:
# #+#+++Failed+test+'foo'
# #+#+++in+t/06errormess.t+at+line+161.
# #+#++++++++++got:+'php'
# #+#+++++expected:+'Perl'
# #+
# #+not:
# #+#+++++Failed+test+(t/06errormess.t+at+line+161)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'perl'
# #+
# #+as+expected
# ' not '#+++++Failed+test+(t/06errormess.t+at+line+165)
# #+STDERR+is:
# #+#+++++Failed+test+(t/06errormess.t+at+line+161)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'Perl'
# #+
# #+not:
# #+#+++++Failed+test+(t/06errormess.t+at+line+161)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'perl'
# #+
# #+as+expected
# '

#   Failed test 'STDERR meta test color'
#   in t/06errormess.t at line 217.
# HEY THERE, I GOT '#+++Failed+test+'bar'
# #+++in+t/06errormess.t+at+line+213.
# #+STDERR+is:
# #+#+++Failed+test+'foo'
# #+#+++in+t/06errormess.t+at+line+209.
# #+#++++++++++got:+'php'
# #+#+++++expected:+'Perl'
# #+
# #+not:
# #+#+++++Failed+test+(t/06errormess.t+at+line+209)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'perl'
# #+
# #+as+expected
# ' not '#+++++Failed+test+(t/06errormess.t+at+line+213)
# #+STDERR+is:
# #+#+++++Failed+test+(t/06errormess.t+at+line+209)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'Perl'
# #+
# #+not:
# #+#+++++Failed+test+(t/06errormess.t+at+line+209)
# #+#++++++++++got:+'php'
# #+#+++++expected:+'perl'
# #+
# #+as+expected
# '
FAILED tests 4, 7-8, 10, 12
        Failed 5/12 tests, 58.33% okay
t/07args.........
#   Failed test 'STDERR basic meta meta test 2'
#   in t/07args.t at line 108.
# HEY THERE, I GOT '#+++Failed+test+'foo'
# #+++in+t/07args.t+at+line+107.
# ' not '#+++++Failed+test+(t/07args.t+at+line+107)
# '

#   Failed test 'STDOUT meta meta test with tbt2 '
#   in t/07args.t at line 123.
#          got: 'ok 1 - bar
# '
#     expected: 'not ok 1 - bar
# '

#   Failed test 'STDERR meta meta test with tbt2 '
#   in t/07args.t at line 123.
# HEY THERE, I GOT '#+++Failed+test+'bar'
# #+++in+t/07args.t+at+line+122.
# #+STDERR+is:
# #+#+++Failed+test+'foo'
# #+#+++in+t/07args.t+at+line+121.
# #+
# #+not:
# #+#+++++Failed+test+(t/07args.t+at+line+121)
# #+
# #+as+expected
# ' not ''

#   Failed test 'STDOUT meta test skip_out'
#   in t/07args.t at line 198.
#          got: 'ok 1 - bar
# '
#     expected: 'not ok 1 - bar
# '

#   Failed test 'STDERR meta test skip_out'
#   in t/07args.t at line 198.
# HEY THERE, I GOT '#+++Failed+test+'bar'
# #+++in+t/07args.t+at+line+195.
# #+STDERR+is:
# #+#+++Failed+test+'foo'
# #+#+++in+t/07args.t+at+line+192.
# #+
# #+not:
# #+#+++++Failed+test+(t/07args.t+at+line+192)
# #+
# #+as+expected
# ' not ''
FAILED tests 4, 7-8, 15-16
        Failed 5/18 tests, 72.22% okay
Failed Test     Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01basic.t                    6    1  16.67%  6
t/05faildiag.t                 5    2  40.00%  1-2
t/06errormess.t               12    5  41.67%  4 7-8 10 12
t/07args.t                    18    5  27.78%  4 7-8 15-16
Failed 4/7 test scripts, 42.86% okay. 13/49 subtests failed, 73.47%
okay.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory
`/home/jaybonci/deb/libtest-builder-tester-perl/libte
st-builder-tester-perl-1.01'

jaybonci@deepcycle:~/deb/libtest-builder-tester-perl/libtest-builder-tester-perl-1.01$ perl -v

This is perl, v5.8.8 built for i486-linux-gnu-thread-multi

Copyright 1987-2006, Larry Wall

Perl may be copied only under the terms of either the Artistic License
or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to
the
Internet, point your browser at http://www.perl.org/, the Perl Home
Page.

jaybonci@deepcycle:~/deb/libtest-builder-tester-perl/libtest-builder-tester-perl-1.01$ perl -V
Summary of my perl5 (revision 5 version 8 subversion 8) configuration:
  Platform:
    osname=linux, osvers=2.6.15, archname=i486-linux-gnu-thread-multi
    uname='linux ninsei 2.6.15 #1 smp preempt sat jan 7 12:47:52 pst
2006 i686 gnulinux '
    config_args='-Dusethreads -Duselargefiles -Dccflags=-DDEBIAN
-Dcccdlflags=-fPIC -Darchname=i486-linux-gnu -Dprefix=/usr
-Dprivlib=/usr/share/perl/5.8 -Darchlib=/usr/lib/perl/5.8
-Dvendorprefix=/usr -Dvendorlib=/usr/share/perl5
-Dvendorarch=/usr/lib/perl5 -Dsiteprefix=/usr/local
-Dsitelib=/usr/local/share/perl/5.8.8
-Dsitearch=/usr/local/lib/perl/5.8.8 -Dman1dir=/usr/share/man/man1
-Dman3dir=/usr/share/man/man3 -Dsiteman1dir=/usr/local/man/man1
-Dsiteman3dir=/usr/local/man/man3 -Dman1ext=1 -Dman3ext=3perl
-Dpager=/usr/bin/sensible-pager -Uafs -Ud_csh -Uusesfio -Uusenm
-Duseshrplib -Dlibperl=libperl.so.5.8.8 -Dd_dosuid -des'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=define use5005threads=undef useithreads=define
usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS
-DDEBIAN -fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN
-fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include'
    ccversion='', gccversion='4.0.3 20060128 (prerelease) (Debian
4.0.2-8)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /lib /usr/lib
    libs=-lgdbm -lgdbm_compat -ldb -ldl -lm -lpthread -lc -lcrypt
    perllibs=-ldl -lm -lpthread -lc -lcrypt
    libc=/lib/libc-2.3.5.so, so=so, useshrplib=true,
libperl=libperl.so.5.8.8
    gnulibc_version='2.3.5'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -L/usr/local/lib'


Characteristics of this binary (from libperl):
  Compile-time options: MULTIPLICITY PERL_IMPLICIT_CONTEXT
                        PERL_MALLOC_WRAP THREADS_HAVE_PIDS USE_ITHREADS
                        USE_LARGE_FILES USE_PERLIO USE_REENTRANT_API
  Built under linux
  Compiled at Feb  9 2006 22:12:59
  @INC:
    /etc/perl
    /usr/local/lib/perl/5.8.8
    /usr/local/share/perl/5.8.8
    /usr/lib/perl5
    /usr/share/perl5
    /usr/lib/perl/5.8
    /usr/share/perl/5.8
    /usr/local/lib/site_perl
    /usr/local/lib/perl/5.8.7
    /usr/local/share/perl/5.8.7


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #15 received at 353134@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 353134@bugs.debian.org
Subject: Merged into libtest-simple-perl - remove package?
Date: Fri, 24 Feb 2006 08:07:36 -0800
[Message part 1 (text/plain, inline)]
Howdy,

According to both the upstream Changes and libtest-simple-perl's
dependencies, libtest-builder-tester has been merged into
libtest-simple-perl.  Should this package be removed?

-- 
Matt
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #20 received at 353134@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: 353134@bugs.debian.org
Subject: libtest-simple-perl supersedes libtest-builder-tester-perl
Date: Tue, 14 Mar 2006 11:59:42 -0500
[Message part 1 (text/plain, inline)]
Hey there Matt,
	I think I'm going to file to have this package removed, but only until
I've done the legwork to make sure that all the packages that depended
on test-builder-tester are taken care of, and test-simple provides
correctly. 

	Working on that now :)

	-jay
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #25 received at 353134@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: 353134@bugs.debian.org
Subject: libtest-simple-perl supersedes libtest-builder-tester-perl
Date: Fri, 21 Apr 2006 00:08:15 +0200
[Message part 1 (text/plain, inline)]
Heya,

I've checked which packages use Test::Builder:Tester. The good thing is
that the number is quite small (2) and even better, both are maintained
by you:

$ bzcat Sources.bz2 | grep-dctrl -s Maintainer,Package -F Build-Depends,Build-Depends-Indep,Depends libtest-builder-tester-perl
Maintainer: Jay Bonci <jaybonci@debian.org>
Package: libtest-class-perl

Maintainer: Jay Bonci <jaybonci@debian.org>
Package: libtest-warn-perl

I haven't had the time to look if they work with libtest-simple-per yet,
but I guess you shouldn't have a problem to update. Both have RC bugs
anyway (#356829, #358745), both related to the packaging queue. Will
you have the time to do this yourself or should I look into this over
the weekend?

Marc
-- 
BOFH #29:
It works the way the Wang did, what's the problem
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #30 received at 353134@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: 353134@bugs.debian.org, Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
Subject: Re: Bug#353134: libtest-simple-perl supersedes libtest-builder-tester-perl
Date: Thu, 20 Apr 2006 18:29:32 -0400
[Message part 1 (text/plain, inline)]
Hey there, I'm aiming to close out all my RC bugs this weekend.  If I
don't hit them up by Monday, please feel free to RC them

-jay

On Fri, 2006-04-21 at 00:08 +0200, Marc 'HE' Brockschmidt wrote:
> Heya,
> 
> I've checked which packages use Test::Builder:Tester. The good thing is
> that the number is quite small (2) and even better, both are maintained
> by you:
> 
> $ bzcat Sources.bz2 | grep-dctrl -s Maintainer,Package -F Build-Depends,Build-Depends-Indep,Depends libtest-builder-tester-perl
> Maintainer: Jay Bonci <jaybonci@debian.org>
> Package: libtest-class-perl
> 
> Maintainer: Jay Bonci <jaybonci@debian.org>
> Package: libtest-warn-perl
> 
> I haven't had the time to look if they work with libtest-simple-per yet,
> but I guess you shouldn't have a problem to update. Both have RC bugs
> anyway (#356829, #358745), both related to the packaging queue. Will
> you have the time to do this yourself or should I look into this over
> the weekend?
> 
> Marc
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #35 received at 353134@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Jay Bonci <jay@bonci.com>
Cc: 353134@bugs.debian.org, Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
Subject: Re: Bug#353134: libtest-simple-perl supersedes libtest-builder-tester-perl
Date: Mon, 24 Apr 2006 10:27:09 +0200
[Message part 1 (text/plain, inline)]
Jay Bonci <jay@bonci.com> writes:
> Hey there, I'm aiming to close out all my RC bugs this weekend.  If I
> don't hit them up by Monday, please feel free to RC them

I did NMUs for libtest-warn-perl and libtest-class-perl and will
reassign this bug to ftp.debian.org in a few days to get
libtest-builder-tester-perl removed from unstable.

Marc
-- 
BOFH #407:
Route flapping at the NAP.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#353134; Package libtest-builder-tester-perl. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #40 received at 353134@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: control@bugs.debian.org
Cc: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 353134@bugs.debian.org
Subject: Re: Bug#353134: libtest-simple-perl supersedes libtest-builder-tester-perl
Date: Tue, 25 Apr 2006 01:44:44 +0200
[Message part 1 (text/plain, inline)]
retitle 353134 RM: libtest-builder-tester-perl -- RoM; module included in libtest-simple-perl
reassign ftp.debian.org,libtest-builder-tester-perl
thanks

Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> writes:
> Jay Bonci <jay@bonci.com> writes:
>> Hey there, I'm aiming to close out all my RC bugs this weekend.  If I
>> don't hit them up by Monday, please feel free to RC them
> I did NMUs for libtest-warn-perl and libtest-class-perl and will
> reassign this bug to ftp.debian.org in a few days to get
> libtest-builder-tester-perl removed from unstable.

OK, NMUs for both packages are now in unstable, libtest-simple correctly
provides libtest-builder-tester-perl. I think the package should be
removed now. I'm reassigning the bug to ftp.d.o now.

Marc
-- 
BOFH #250:
Program load too heavy for processor to lift.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `libtest-builder-tester-perl' to `ftp.debian.org,libtest-builder-tester-perl'. Request was from Marc 'HE' Brockschmidt <he@ftwca.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 353134-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 353134-close@bugs.debian.org
Cc: libtest-builder-tester-perl@packages.debian.org, libtest-builder-tester-perl@packages.qa.debian.org
Subject: Bug#353134: fixed
Date: Mon, 01 May 2006 11:30:59 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libtest-builder-tester-perl |     1.01-1 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353134@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 00:12:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:50:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.